Index: select_project.php
===================================================================
--- select_project.php	(revision 3164)
+++ select_project.php	(working copy)
@@ -42,11 +42,11 @@
     Auth::redirect(APP_RELATIVE_URL . "index.php?err=11");
 }
 
-if ((@$HTTP_GET_VARS["err"] == '') && (Auth::hasValidCookie(APP_COOKIE))) {
+if ((@$_GET["err"] == '') && (Auth::hasValidCookie(APP_COOKIE))) {
     $cookie = Auth::getCookieInfo(APP_PROJECT_COOKIE);
     if ($cookie["remember"]) {
-        if (!empty($HTTP_GET_VARS["url"])) {
-            Auth::redirect($HTTP_GET_VARS["url"]);
+        if (!empty($_GET["url"])) {
+            Auth::redirect($_GET["url"]);
         } else {
             Auth::redirect(APP_RELATIVE_URL . "main.php");
         }
@@ -63,17 +63,17 @@
         Auth::setCurrentProject($prj_id, 0);
         handleExpiredCustomer($prj_id);
 
-        if (!empty($HTTP_GET_VARS["url"])) {
-            Auth::redirect($HTTP_GET_VARS["url"]);
+        if (!empty($_GET["url"])) {
+            Auth::redirect($_GET["url"]);
         } else {
             Auth::redirect(APP_RELATIVE_URL . "main.php");
         }
-    } elseif ((!empty($HTTP_GET_VARS["url"])) && (
-            (preg_match("/.*view\.php\?id=(\d*)/", $HTTP_GET_VARS["url"], $matches) > 0) ||
-            (preg_match("/switch_prj_id=(\d*)/", $HTTP_GET_VARS["url"], $matches) > 0)
+    } elseif ((!empty($_GET["url"])) && (
+            (preg_match("/.*view\.php\?id=(\d*)/", $_GET["url"], $matches) > 0) ||
+            (preg_match("/switch_prj_id=(\d*)/", $_GET["url"], $matches) > 0)
             )) {
         // check if url is directly linking to an issue, and if it is, don't prompt for project
-        if (stristr($HTTP_GET_VARS["url"], 'view.php')) {
+        if (stristr($_GET["url"], 'view.php')) {
             $prj_id = Issue::getProjectID($matches[1]);
         } else {
             $prj_id = $matches[1];
@@ -81,32 +81,32 @@
         if (!empty($assigned_projects[$prj_id])) {
             Auth::setCurrentProject($prj_id, 0);
             handleExpiredCustomer($prj_id);
-            Auth::redirect($HTTP_GET_VARS["url"]);
+            Auth::redirect($_GET["url"]);
         }
     }
 }
 
-if (@$HTTP_GET_VARS["err"] != '') {
+if (@$_GET["err"] != '') {
     Auth::removeCookie(APP_PROJECT_COOKIE);
-    $tpl->assign("err", $HTTP_GET_VARS["err"]);
+    $tpl->assign("err", $_GET["err"]);
 }
 
-if (@$HTTP_POST_VARS["cat"] == "select") {
+if (@$_POST["cat"] == "select") {
     $usr_id = Auth::getUserID();
     $projects = Project::getAssocList($usr_id);
-    if (!in_array($HTTP_POST_VARS["project"], array_keys($projects))) {
+    if (!in_array($_POST["project"], array_keys($projects))) {
         // show error message
         $tpl->assign("err", 1);
     } else {
         // create cookie and redirect
-        if (empty($HTTP_POST_VARS["remember"])) {
-            $HTTP_POST_VARS["remember"] = 0;
+        if (empty($_POST["remember"])) {
+            $_POST["remember"] = 0;
         }
-        Auth::setCurrentProject($HTTP_POST_VARS["project"], $HTTP_POST_VARS["remember"]);
-        handleExpiredCustomer($HTTP_POST_VARS["project"]);
+        Auth::setCurrentProject($_POST["project"], $_POST["remember"]);
+        handleExpiredCustomer($_POST["project"]);
 
-        if (!empty($HTTP_POST_VARS["url"])) {
-            Auth::redirect($HTTP_POST_VARS["url"]);
+        if (!empty($_POST["url"])) {
+            Auth::redirect($_POST["url"]);
         } else {
             Auth::redirect(APP_RELATIVE_URL . "main.php");
         }
Index: convert_note.php
===================================================================
--- convert_note.php	(revision 3164)
+++ convert_note.php	(working copy)
@@ -45,15 +45,15 @@
 
 Auth::checkAuthentication(APP_COOKIE, 'index.php?err=5', true);
 
-if (@$HTTP_POST_VARS['cat'] == 'convert') {
-    if (@$HTTP_POST_VARS["add_authorized_replier"] == 1) {
+if (@$_POST['cat'] == 'convert') {
+    if (@$_POST["add_authorized_replier"] == 1) {
         $authorize_sender = true;
     } else {
         $authorize_sender = false;
     }
-    $tpl->assign("convert_result", Note::convertNote($HTTP_POST_VARS['note_id'], $HTTP_POST_VARS['target'], $authorize_sender));
+    $tpl->assign("convert_result", Note::convertNote($_POST['note_id'], $_POST['target'], $authorize_sender));
 } else {
-    $tpl->assign("note_id", $HTTP_GET_VARS['id']);
+    $tpl->assign("note_id", $_GET['id']);
 }
 
 $tpl->assign("current_user_prefs", Prefs::get(Auth::getUserID()));
Index: reports/recent_activity.php
===================================================================
--- reports/recent_activity.php	(revision 3164)
+++ reports/recent_activity.php	(working copy)
@@ -76,13 +76,13 @@
             (@$_REQUEST["start"]["Year"] != 0) &&
             (@$_REQUEST["start"]["Month"] != 0) &&
             (@$_REQUEST["start"]["Day"] != 0)) {
-        $start_date = join("-", $HTTP_POST_VARS["start"]);
+        $start_date = join("-", $_POST["start"]);
     }
     if (count(@$_REQUEST["end"]) > 0 &&
             (@$_REQUEST["end"]["Year"] != 0) &&
             (@$_REQUEST["end"]["Month"] != 0) &&
             (@$_REQUEST["end"]["Day"] != 0)) {
-        $end_date = join("-", $HTTP_POST_VARS["end"]);
+        $end_date = join("-", $_POST["end"]);
     }
     
     $data = array();
Index: reports/open_issues.php
===================================================================
--- reports/open_issues.php	(revision 3164)
+++ reports/open_issues.php	(working copy)
@@ -45,10 +45,10 @@
 
 $prj_id = Auth::getCurrentProject();
 
-if (!isset($HTTP_GET_VARS['cutoff_days'])) {
+if (!isset($_GET['cutoff_days'])) {
     $cutoff_days = 7;
 } else {
-    $cutoff_days = $HTTP_GET_VARS['cutoff_days'];
+    $cutoff_days = $_GET['cutoff_days'];
 }
 
 if (empty($_GET['group_by_reporter'])) {
Index: reports/weekly.php
===================================================================
--- reports/weekly.php	(revision 3164)
+++ reports/weekly.php	(working copy)
@@ -44,17 +44,17 @@
 
 $prj_id = Auth::getCurrentProject();
 
-if (count(@$HTTP_POST_VARS["start"]) > 0 &&
-        (@$HTTP_POST_VARS["start"]["Year"] != 0) &&
-        (@$HTTP_POST_VARS["start"]["Month"] != 0) &&
-        (@$HTTP_POST_VARS["start"]["Day"] != 0)) {
-    $start_date = join("-", $HTTP_POST_VARS["start"]);
+if (count(@$_POST["start"]) > 0 &&
+        (@$_POST["start"]["Year"] != 0) &&
+        (@$_POST["start"]["Month"] != 0) &&
+        (@$_POST["start"]["Day"] != 0)) {
+    $start_date = join("-", $_POST["start"]);
 }
-if (count(@$HTTP_POST_VARS["end"]) > 0 &&
-        (@$HTTP_POST_VARS["end"]["Year"] != 0) &&
-        (@$HTTP_POST_VARS["end"]["Month"] != 0) &&
-        (@$HTTP_POST_VARS["end"]["Day"] != 0)) {
-    $end_date = join("-", $HTTP_POST_VARS["end"]);
+if (count(@$_POST["end"]) > 0 &&
+        (@$_POST["end"]["Year"] != 0) &&
+        (@$_POST["end"]["Month"] != 0) &&
+        (@$_POST["end"]["Day"] != 0)) {
+    $end_date = join("-", $_POST["end"]);
 }
 
 $tpl->assign(array(
@@ -62,32 +62,32 @@
     "users" => Project::getUserAssocList($prj_id, 'active', User::getRoleID('Customer')),
     "start_date"    =>  @$start_date,
     "end_date"      =>  @$end_date,
-    "report_type"   =>  @$HTTP_POST_VARS["report_type"]
+    "report_type"   =>  @$_POST["report_type"]
 ));
 
-if (!empty($HTTP_POST_VARS["developer"])) {
+if (!empty($_POST["developer"])) {
 
     //split date up
-    if (@$HTTP_POST_VARS["report_type"] == "weekly") {
-        $dates = explode("_", $HTTP_POST_VARS["week"]);
+    if (@$_POST["report_type"] == "weekly") {
+        $dates = explode("_", $_POST["week"]);
     } else {
         $dates = array($start_date, $end_date);
     }
 
     // print out emails
-    $data = Report::getWeeklyReport($HTTP_POST_VARS["developer"], $dates[0], $dates[1], @$_REQUEST['separate_closed'], @$_REQUEST['ignore_statuses']);
+    $data = Report::getWeeklyReport($_POST["developer"], $dates[0], $dates[1], @$_REQUEST['separate_closed'], @$_REQUEST['ignore_statuses']);
     $tpl->assign("data", $data);
 }
 
-if (empty($HTTP_POST_VARS["week"])) {
+if (empty($_POST["week"])) {
     $tpl->assign("week", Date_API::getCurrentWeek());
 } else {
-    $tpl->assign("week", $HTTP_POST_VARS["week"]);
+    $tpl->assign("week", $_POST["week"]);
 }
-if (empty($HTTP_POST_VARS["developer"])) {
+if (empty($_POST["developer"])) {
     $tpl->assign("developer", Auth::getUserID());
 } else {
-    $tpl->assign("developer", $HTTP_POST_VARS["developer"]);
+    $tpl->assign("developer", $_POST["developer"]);
 }
 
 $tpl->displayTemplate();
Index: reports/customer_stats_graph.php
===================================================================
--- reports/customer_stats_graph.php	(revision 3164)
+++ reports/customer_stats_graph.php	(working copy)
@@ -69,7 +69,7 @@
 
 $graph_types = Customer_Stats_Report::getGraphTypes();
 
-$graph_id = $HTTP_GET_VARS["graph_id"];
+$graph_id = $_GET["graph_id"];
 
 $plots = array();
 $max_title_len = 0;
Index: reports/custom_fields.php
===================================================================
--- reports/custom_fields.php	(revision 3164)
+++ reports/custom_fields.php	(working copy)
@@ -61,15 +61,15 @@
 }
 
 if (count(@$_GET['custom_field']) > 0) {
-    $data = Report::getCustomFieldReport(@$HTTP_GET_VARS["custom_field"], @$HTTP_GET_VARS["custom_options"], @$HTTP_GET_VARS["group_by"], true);
+    $data = Report::getCustomFieldReport(@$_GET["custom_field"], @$_GET["custom_options"], @$_GET["group_by"], true);
 }
 
 $tpl->assign(array(
     "custom_fields" =>  $custom_fields,
-    "custom_field"  =>  @$HTTP_GET_VARS["custom_field"],
+    "custom_field"  =>  @$_GET["custom_field"],
     "options"   =>  $options,
-    "custom_options"    =>  @$HTTP_GET_VARS["custom_options"],
-    "group_by"      =>  @$HTTP_GET_VARS["group_by"],
+    "custom_options"    =>  @$_GET["custom_options"],
+    "group_by"      =>  @$_GET["group_by"],
     "selected_options"  => @$_REQUEST['custom_options'],
     "data"  =>  @$data
 ));
Index: reports/workload_time_period.php
===================================================================
--- reports/workload_time_period.php	(revision 3164)
+++ reports/workload_time_period.php	(working copy)
@@ -50,7 +50,7 @@
 // get timezone of current user
 $user_prefs = Prefs::get($usr_id);
 
-if (@$HTTP_GET_VARS["type"] == "email") {
+if (@$_GET["type"] == "email") {
     $data = Report::getEmailWorkloadByTimePeriod(@$user_prefs["timezone"]);
 } else {
     $data = Report::getWorkloadByTimePeriod(@$user_prefs["timezone"]);
@@ -58,7 +58,7 @@
 
 $tpl->assign(array(
     "data"    => $data,
-    "type"    => @$HTTP_GET_VARS["type"],
+    "type"    => @$_GET["type"],
     "user_tz" => Date_API::getTimezoneShortNameByUser($usr_id)
 ));
 $tpl->displayTemplate();
Index: reports/customer_stats.php
===================================================================
--- reports/customer_stats.php	(revision 3164)
+++ reports/customer_stats.php	(working copy)
@@ -55,26 +55,26 @@
     exit;
 }
 
-if (count(@$HTTP_POST_VARS["start"]) > 0 &&
-        (@$HTTP_POST_VARS["start"]["Year"] != 0) &&
-        (@$HTTP_POST_VARS["start"]["Month"] != 0) &&
-        (@$HTTP_POST_VARS["start"]["Day"] != 0)) {
-    $start_date = join("-", $HTTP_POST_VARS["start"]);
+if (count(@$_POST["start"]) > 0 &&
+        (@$_POST["start"]["Year"] != 0) &&
+        (@$_POST["start"]["Month"] != 0) &&
+        (@$_POST["start"]["Day"] != 0)) {
+    $start_date = join("-", $_POST["start"]);
 } else {
     $start_date = "0000-00-00";
 }
-if (count(@$HTTP_POST_VARS["end"]) > 0 &&
-        (@$HTTP_POST_VARS["end"]["Year"] != 0) &&
-        (@$HTTP_POST_VARS["end"]["Month"] != 0) &&
-        (@$HTTP_POST_VARS["end"]["Day"] != 0)) {
-    $end_date = join("-", $HTTP_POST_VARS["end"]);
+if (count(@$_POST["end"]) > 0 &&
+        (@$_POST["end"]["Year"] != 0) &&
+        (@$_POST["end"]["Month"] != 0) &&
+        (@$_POST["end"]["Day"] != 0)) {
+    $end_date = join("-", $_POST["end"]);
 } else {
     $end_date = "0000-00-00";
 }
 
-if (count(@$HTTP_POST_VARS["display_sections"]) < 1) {
-    $HTTP_POST_VARS["display_sections"] = array_keys(Customer_Stats_Report::getDisplaySections());
-    unset($HTTP_POST_VARS["display_sections"][4]);
+if (count(@$_POST["display_sections"]) < 1) {
+    $_POST["display_sections"] = array_keys(Customer_Stats_Report::getDisplaySections());
+    unset($_POST["display_sections"][4]);
 }
 
 $support_levels = array('Aggregate' => 'Aggregate');
@@ -83,8 +83,8 @@
     $support_levels[$level_name] = $level_name;
 }
 
-if (count(@$HTTP_POST_VARS["support_level"]) < 1) {
-    $HTTP_POST_VARS["support_level"] = array('Aggregate');
+if (count(@$_POST["support_level"]) < 1) {
+    $_POST["support_level"] = array('Aggregate');
 }
 
 // XXX: internal only - Remove all mentions of InnoDB
@@ -94,13 +94,13 @@
     "has_support_levels"=>  Customer::doesBackendUseSupportLevels($prj_id),
     "project_name"      =>  Auth::getCurrentProjectName(),
     "support_levels"    =>  $support_levels,
-    "support_level"     =>  @$HTTP_POST_VARS["support_level"],
+    "support_level"     =>  @$_POST["support_level"],
     "start_date"        =>  $start_date,
     "end_date"          =>  $end_date,
     "sections"          =>  Customer_Stats_Report::getDisplaySections(),
-    "display_sections"  =>  $HTTP_POST_VARS["display_sections"],
-    "split_innoDB"      =>  @$HTTP_POST_VARS["split_innoDB"],
-    "include_expired"   =>  @$HTTP_POST_VARS["include_expired"],
+    "display_sections"  =>  $_POST["display_sections"],
+    "split_innoDB"      =>  @$_POST["split_innoDB"],
+    "include_expired"   =>  @$_POST["include_expired"],
     "graphs"            =>  Customer_Stats_Report::getGraphTypes()
 ));
 
@@ -108,19 +108,19 @@
 if (Auth::getCurrentRole() >= User::getRoleID('manager')) {
     $tpl->assign(array(
     "customers"         =>  Customer::getAssocList($prj_id),
-    "customer"          =>  @$HTTP_POST_VARS["customer"]
+    "customer"          =>  @$_POST["customer"]
     ));
 }
 
 // loop through display sections
 $display = array();
-foreach ($HTTP_POST_VARS["display_sections"] as $section) {
+foreach ($_POST["display_sections"] as $section) {
     $display[$section] = 1;
 }
 $tpl->assign("display", $display);
 
 
-if (@$HTTP_POST_VARS["cat"] == "Generate") {
+if (@$_POST["cat"] == "Generate") {
     
     if ($start_date == "0000-00-00") {
         $start_date = '';
@@ -142,14 +142,14 @@
     
     $csr = new Customer_Stats_Report(
                     $prj_id,
-                    @$HTTP_POST_VARS["support_level"],
-                    @$HTTP_POST_VARS["customer"],
+                    @$_POST["support_level"],
+                    @$_POST["customer"],
                     $start_date,
                     $end_date);
-    if (@$HTTP_POST_VARS["split_innoDB"] == 1) {
+    if (@$_POST["split_innoDB"] == 1) {
         $csr->splitByInnoDB(true);
     }
-    if (@$HTTP_POST_VARS["include_expired"] == 1) {
+    if (@$_POST["include_expired"] == 1) {
         $csr->excludeExpired(false);
     } else {
         $csr->excludeExpired(true);
Index: reports/custom_fields_graph.php
===================================================================
--- reports/custom_fields_graph.php	(revision 3164)
+++ reports/custom_fields_graph.php	(working copy)
@@ -48,14 +48,14 @@
  * Generates a graph for the selected custom field
  */
 
-$data = Report::getCustomFieldReport(@$HTTP_GET_VARS["custom_field"], @$HTTP_GET_VARS["custom_options"], @$HTTP_GET_VARS["group_by"]);
-$field_details = Custom_Field::getDetails(@$HTTP_GET_VARS["custom_field"]);
+$data = Report::getCustomFieldReport(@$_GET["custom_field"], @$_GET["custom_options"], @$_GET["group_by"]);
+$field_details = Custom_Field::getDetails(@$_GET["custom_field"]);
 
 if (count($data) < 2) {
     header("Location: " . APP_RELATIVE_URL . "images/no_data.gif");
 }
 
-if (@$HTTP_GET_VARS["type"] == "pie") {
+if (@$_GET["type"] == "pie") {
     
     if (empty($data["All Others"])) {
         unset($data["All Others"]);
@@ -135,7 +135,7 @@
     $graph->yaxis->title->SetFont(FF_FONT1,FS_BOLD);
 }
 
-if (@$HTTP_GET_VARS["group_by"] == "customers") {
+if (@$_GET["group_by"] == "customers") {
     "Customers by " . $field_details["fld_title"];
 } else {
     $title = "Issues by " . $field_details["fld_title"];
Index: reports/workload_time_period_graph.php
===================================================================
--- reports/workload_time_period_graph.php	(revision 3164)
+++ reports/workload_time_period_graph.php	(working copy)
@@ -51,7 +51,7 @@
 // get timezone of current user
 $user_prefs = Prefs::get($usr_id);
 
-if (@$HTTP_GET_VARS["type"] == "email") {
+if (@$_GET["type"] == "email") {
     $data = Report::getEmailWorkloadByTimePeriod(@$user_prefs["timezone"], true);
     $graph_title = "Email by Time Period";
     $event_type = "emails";
Index: reports/issue.php
===================================================================
--- reports/issue.php	(revision 3164)
+++ reports/issue.php	(working copy)
@@ -46,7 +46,7 @@
 $prj_id = Auth::getCurrentProject();
 
 
-if ($HTTP_GET_VARS['cat'] == 'user') {
+if ($_GET['cat'] == 'user') {
     $res = Report::getIssuesByUser($prj_id);
     $tpl->assign("users", $res);
 }
Index: login.php
===================================================================
--- login.php	(revision 3164)
+++ login.php	(working copy)
@@ -33,41 +33,41 @@
 include_once(APP_INC_PATH . "class.user.php");
 include_once(APP_INC_PATH . "class.validation.php");
 
-if (Validation::isWhitespace($HTTP_POST_VARS["email"])) {
+if (Validation::isWhitespace($_POST["email"])) {
     Auth::redirect(APP_RELATIVE_URL . "index.php?err=1");
 }
-if (Validation::isWhitespace($HTTP_POST_VARS["passwd"])) {
-    Auth::saveLoginAttempt($HTTP_POST_VARS["email"], 'failure', 'empty password');
-    Auth::redirect(APP_RELATIVE_URL . "index.php?err=2&email=" . $HTTP_POST_VARS["email"]);
+if (Validation::isWhitespace($_POST["passwd"])) {
+    Auth::saveLoginAttempt($_POST["email"], 'failure', 'empty password');
+    Auth::redirect(APP_RELATIVE_URL . "index.php?err=2&email=" . $_POST["email"]);
 }
 
 // check if user exists
-if (!Auth::userExists($HTTP_POST_VARS["email"])) {
-    Auth::saveLoginAttempt($HTTP_POST_VARS["email"], 'failure', 'unknown user');
+if (!Auth::userExists($_POST["email"])) {
+    Auth::saveLoginAttempt($_POST["email"], 'failure', 'unknown user');
     Auth::redirect(APP_RELATIVE_URL . "index.php?err=3");
 }
 // check if the password matches
-if (!Auth::isCorrectPassword($HTTP_POST_VARS["email"], $HTTP_POST_VARS["passwd"])) {
-    Auth::saveLoginAttempt($HTTP_POST_VARS["email"], 'failure', 'wrong password');
-    Auth::redirect(APP_RELATIVE_URL . "index.php?err=3&email=" . $HTTP_POST_VARS["email"]);
+if (!Auth::isCorrectPassword($_POST["email"], $_POST["passwd"])) {
+    Auth::saveLoginAttempt($_POST["email"], 'failure', 'wrong password');
+    Auth::redirect(APP_RELATIVE_URL . "index.php?err=3&email=" . $_POST["email"]);
 }
 // check if this user did already confirm his account
-if (Auth::isPendingUser($HTTP_POST_VARS["email"])) {
-    Auth::saveLoginAttempt($HTTP_POST_VARS["email"], 'failure', 'pending user');
+if (Auth::isPendingUser($_POST["email"])) {
+    Auth::saveLoginAttempt($_POST["email"], 'failure', 'pending user');
     Auth::redirect(APP_RELATIVE_URL . "index.php?err=9", $is_popup);
 }
 // check if this user is really an active one
-if (!Auth::isActiveUser($HTTP_POST_VARS["email"])) {
-    Auth::saveLoginAttempt($HTTP_POST_VARS["email"], 'failure', 'inactive user');
+if (!Auth::isActiveUser($_POST["email"])) {
+    Auth::saveLoginAttempt($_POST["email"], 'failure', 'inactive user');
     Auth::redirect(APP_RELATIVE_URL . "index.php?err=7", $is_popup);
 }
 
-Auth::saveLoginAttempt($HTTP_POST_VARS["email"], 'success');
+Auth::saveLoginAttempt($_POST["email"], 'success');
 // redirect to the initial page
-@Auth::createLoginCookie(APP_COOKIE, $HTTP_POST_VARS["email"]);
-Session::init(User::getUserIDByEmail($HTTP_POST_VARS['email']));
-if (!empty($HTTP_POST_VARS["url"])) {
-    $extra = '?url=' . urlencode($HTTP_POST_VARS["url"]);
+@Auth::createLoginCookie(APP_COOKIE, $_POST["email"]);
+Session::init(User::getUserIDByEmail($_POST['email']));
+if (!empty($_POST["url"])) {
+    $extra = '?url=' . urlencode($_POST["url"]);
 } else {
     $extra = '';
 }
Index: associate.php
===================================================================
--- associate.php	(revision 3164)
+++ associate.php	(working copy)
@@ -41,52 +41,52 @@
 
 Auth::checkAuthentication(APP_COOKIE, 'index.php?err=5', true);
 
-if (@$HTTP_POST_VARS['cat'] == 'associate') {
-    if ($HTTP_POST_VARS['target'] == 'email') {
-        $res = Support::associate(Auth::getUserID(), $HTTP_POST_VARS['issue'], $HTTP_POST_VARS['item']);
+if (@$_POST['cat'] == 'associate') {
+    if ($_POST['target'] == 'email') {
+        $res = Support::associate(Auth::getUserID(), $_POST['issue'], $_POST['item']);
         if ($res == 1) {
-            Workflow::handleManualEmailAssociation(Issue::getProjectID($HTTP_POST_VARS['issue']), $HTTP_POST_VARS['issue']);
+            Workflow::handleManualEmailAssociation(Issue::getProjectID($_POST['issue']), $_POST['issue']);
         }
         $tpl->assign("associate_result", $res);
-    } elseif ($HTTP_POST_VARS['target'] == 'reference') {
-        $res = Support::associateEmail(Auth::getUserID(), $HTTP_POST_VARS['issue'], $HTTP_POST_VARS['item']);
+    } elseif ($_POST['target'] == 'reference') {
+        $res = Support::associateEmail(Auth::getUserID(), $_POST['issue'], $_POST['item']);
         if ($res == 1) {
-            Workflow::handleManualEmailAssociation(Issue::getProjectID($HTTP_POST_VARS['issue']), $HTTP_POST_VARS['issue']);
+            Workflow::handleManualEmailAssociation(Issue::getProjectID($_POST['issue']), $_POST['issue']);
         }
         $tpl->assign("associate_result", $res);
     } else {
-        for ($i = 0; $i < count($HTTP_POST_VARS['item']); $i++) {
-            $email = Support::getEmailDetails(Email_Account::getAccountByEmail($HTTP_POST_VARS['item'][$i]), $HTTP_POST_VARS['item'][$i]);
+        for ($i = 0; $i < count($_POST['item']); $i++) {
+            $email = Support::getEmailDetails(Email_Account::getAccountByEmail($_POST['item'][$i]), $_POST['item'][$i]);
             // add the message body as a note
-            $HTTP_POST_VARS['blocked_msg'] = $email['seb_full_email'];
-            $HTTP_POST_VARS['title'] = $email['sup_subject'];
-            $HTTP_POST_VARS['note'] = $email['seb_body'];
+            $_POST['blocked_msg'] = $email['seb_full_email'];
+            $_POST['title'] = $email['sup_subject'];
+            $_POST['note'] = $email['seb_body'];
             // XXX: probably broken to use the current logged in user as the 'owner' of 
             // XXX: this new note, but that's how it was already
-            $res = Note::insert(Auth::getUserID(), $HTTP_POST_VARS['issue']);
+            $res = Note::insert(Auth::getUserID(), $_POST['issue']);
             // remove the associated email
             if ($res) {
-                list($HTTP_POST_VARS["from"]) = Support::getSender(array($HTTP_POST_VARS['item'][$i]));
-                Workflow::handleBlockedEmail(Issue::getProjectID($HTTP_POST_VARS['issue']), $HTTP_POST_VARS['issue'], $HTTP_POST_VARS, 'associated');
-                Support::removeEmail($HTTP_POST_VARS['item'][$i]);
+                list($_POST["from"]) = Support::getSender(array($_POST['item'][$i]));
+                Workflow::handleBlockedEmail(Issue::getProjectID($_POST['issue']), $_POST['issue'], $_POST, 'associated');
+                Support::removeEmail($_POST['item'][$i]);
             }
         }
         $tpl->assign("associate_result", $res);
     }
-    @$tpl->assign('total_emails', count($HTTP_POST_VARS['item']));
+    @$tpl->assign('total_emails', count($_POST['item']));
 } else {
-    @$tpl->assign('emails', $HTTP_GET_VARS['item']);
-    @$tpl->assign('total_emails', count($HTTP_GET_VARS['item']));
-    $prj_id = Issue::getProjectID($HTTP_GET_VARS['issue']);
+    @$tpl->assign('emails', $_GET['item']);
+    @$tpl->assign('total_emails', count($_GET['item']));
+    $prj_id = Issue::getProjectID($_GET['issue']);
     if (Customer::hasCustomerIntegration($prj_id)) {
         // check if the selected emails all have sender email addresses that are associated with the issue' customer
-        $senders = Support::getSender($HTTP_GET_VARS['item']);
+        $senders = Support::getSender($_GET['item']);
         $sender_emails = array();
         for ($i = 0; $i < count($senders); $i++) {
             $email = Mail_API::getEmailAddress($senders[$i]);
             $sender_emails[$email] = $senders[$i];
         }
-        $customer_id = Issue::getCustomerID($HTTP_GET_VARS['issue']);
+        $customer_id = Issue::getCustomerID($_GET['issue']);
         if (!empty($customer_id)) {
             $contact_emails = array_keys(Customer::getContactEmailAssocList($prj_id, $customer_id));
             $unknown_contacts = array();
Index: news.php
===================================================================
--- news.php	(revision 3164)
+++ news.php	(working copy)
@@ -40,8 +40,8 @@
 Auth::checkAuthentication(APP_COOKIE, 'index.php?err=5', true);
 
 $prj_id = Auth::getCurrentProject();
-if (!empty($HTTP_GET_VARS["id"])) {
-    $t = News::getDetails($HTTP_GET_VARS['id']);
+if (!empty($_GET["id"])) {
+    $t = News::getDetails($_GET['id']);
     $t['nws_created_date'] = Date_API::getFormattedDate($t["nws_created_date"]);
     $tpl->assign("news", array($t));
 } else {
Index: view_email.php
===================================================================
--- view_email.php	(revision 3164)
+++ view_email.php	(working copy)
@@ -39,7 +39,7 @@
 $tpl->setTemplate("view_email.tpl.html");
 
 Auth::checkAuthentication(APP_COOKIE, 'index.php?err=5', true);
-$issue_id = Support::getIssueFromEmail($HTTP_GET_VARS["id"]);
+$issue_id = Support::getIssueFromEmail($_GET["id"]);
 
 if (!Issue::canAccess($issue_id, Auth::getUserID())) {
     $tpl->setTemplate("permission_denied.tpl.html");
@@ -47,27 +47,27 @@
     exit;
 }
 
-$email = Support::getEmailDetails($HTTP_GET_VARS["ema_id"], $HTTP_GET_VARS["id"]);
+$email = Support::getEmailDetails($_GET["ema_id"], $_GET["id"]);
 $email['seb_body'] = str_replace("&amp;nbsp;", "&nbsp;", $email['seb_body']);
 $tpl->bulkAssign(array(
     "email"           => $email,
     "issue_id"        => $issue_id,
-    'extra_title'     => "Email #" . $HTTP_GET_VARS['id'] . ": " . $email['sup_subject'],
+    'extra_title'     => "Email #" . $_GET['id'] . ": " . $email['sup_subject'],
     'email_accounts'  =>  Email_Account::getAssocList(array_keys(Project::getAssocList(Auth::getUserID())), true)
 ));
 
-if (@$HTTP_GET_VARS['cat'] == 'list_emails') {
-    $sides = Support::getListingSides($HTTP_GET_VARS["id"]);
+if (@$_GET['cat'] == 'list_emails') {
+    $sides = Support::getListingSides($_GET["id"]);
     $tpl->assign(array(
         'previous' => $sides['previous'],
         'next'     => $sides['next']
     ));
-} elseif ((@$HTTP_GET_VARS['cat'] == 'move_email') && (Auth::getCurrentRole() >= User::getRoleID("Standard User"))) {
-    $res = Support::moveEmail(@$HTTP_GET_VARS['id'], @$HTTP_GET_VARS['ema_id'], @$HTTP_GET_VARS['new_ema_id']);
+} elseif ((@$_GET['cat'] == 'move_email') && (Auth::getCurrentRole() >= User::getRoleID("Standard User"))) {
+    $res = Support::moveEmail(@$_GET['id'], @$_GET['ema_id'], @$_GET['new_ema_id']);
     $tpl->assign("move_email_result", $res);
     $tpl->assign("current_user_prefs", Prefs::get(Auth::getUserID()));
 } else {
-    $sides = Support::getIssueSides($issue_id, $HTTP_GET_VARS["id"]);
+    $sides = Support::getIssueSides($issue_id, $_GET["id"]);
     $tpl->assign(array(
         'previous' => $sides['previous'],
         'next'     => $sides['next']
Index: authorized_replier.php
===================================================================
--- authorized_replier.php	(revision 3164)
+++ authorized_replier.php	(working copy)
@@ -41,14 +41,14 @@
 Auth::checkAuthentication(APP_COOKIE, 'index.php?err=5', true);
 
 $prj_id = Auth::getCurrentProject();
-$issue_id = @$HTTP_POST_VARS["issue_id"] ? $HTTP_POST_VARS["issue_id"] : $HTTP_GET_VARS["iss_id"];
+$issue_id = @$_POST["issue_id"] ? $_POST["issue_id"] : $_GET["iss_id"];
 $tpl->assign("issue_id", $issue_id);
 
-if (@$HTTP_POST_VARS["cat"] == "insert") {
-    $res = Authorized_Replier::manualInsert($issue_id, $HTTP_POST_VARS['email']);
+if (@$_POST["cat"] == "insert") {
+    $res = Authorized_Replier::manualInsert($issue_id, $_POST['email']);
     $tpl->assign("insert_result", $res);
-} elseif (@$HTTP_POST_VARS["cat"] == "delete") {
-    $res = Authorized_Replier::removeRepliers($HTTP_POST_VARS["items"]);
+} elseif (@$_POST["cat"] == "delete") {
+    $res = Authorized_Replier::removeRepliers($_POST["items"]);
     $tpl->assign("delete_result", $res);
 }
 
Index: switch.php
===================================================================
--- switch.php	(revision 3164)
+++ switch.php	(working copy)
@@ -39,7 +39,7 @@
 
 // get the 'remember' setting of the project cookie
 $cookie = Auth::getCookieInfo(APP_PROJECT_COOKIE);
-Auth::setCurrentProject($HTTP_POST_VARS["current_project"], $cookie["remember"]);
+Auth::setCurrentProject($_POST["current_project"], $cookie["remember"]);
 
 $tpl->assign("current_user_prefs", Prefs::get(Auth::getUserID()));
 
Index: history.php
===================================================================
--- history.php	(revision 3164)
+++ history.php	(working copy)
@@ -39,11 +39,11 @@
 
 Auth::checkAuthentication(APP_COOKIE, 'index.php?err=5', true);
 
-$tpl->assign("changes", History::getListing($HTTP_GET_VARS["iss_id"]));
+$tpl->assign("changes", History::getListing($_GET["iss_id"]));
 
 $role_id = Auth::getCurrentRole();
 if ($role_id > User::getRoleID('Customer')) {
-    $tpl->assign("reminders", Reminder::getHistoryList($HTTP_GET_VARS["iss_id"]));
+    $tpl->assign("reminders", Reminder::getHistoryList($_GET["iss_id"]));
 }
 
 $tpl->displayTemplate();
Index: preferences.php
===================================================================
--- preferences.php	(revision 3164)
+++ preferences.php	(working copy)
@@ -42,18 +42,18 @@
 
 $usr_id = Auth::getUserID();
 
-if (@$HTTP_POST_VARS["cat"] == "update_account") {
+if (@$_POST["cat"] == "update_account") {
     $res = Prefs::set($usr_id);
     $tpl->assign('update_lang_result', User::setLang(Auth::getUserID(), $_POST['language']));
     $tpl->assign('update_account_result', $res);
-    User::updateSMS($usr_id, @$HTTP_POST_VARS['sms_email']);
-} elseif (@$HTTP_POST_VARS["cat"] == "update_name") {
+    User::updateSMS($usr_id, @$_POST['sms_email']);
+} elseif (@$_POST["cat"] == "update_name") {
     $res = User::updateFullName($usr_id);
     $tpl->assign('update_name_result', $res);
-} elseif (@$HTTP_POST_VARS["cat"] == "update_email") {
+} elseif (@$_POST["cat"] == "update_email") {
     $res = User::updateEmail($usr_id);
     $tpl->assign('update_email_result', $res);
-} elseif (@$HTTP_POST_VARS["cat"] == "update_password") {
+} elseif (@$_POST["cat"] == "update_password") {
     $res = User::updatePassword($usr_id);
     $tpl->assign('update_password_result', $res);
 }
